Name: isdn-config
Summary: A tool for configuring ISDN dialup connections.
Version: 0.6
Release: 9
Source: %{name}-%{version}-%{release}.tar.bz2
Source1: htmlview
Group: Applications/System
URL: http://www.redhat.de/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Requires: isdn4k-utils => 3.1-21, qt => 2.1.0, initscripts => 4.95

%description
Isdn-config is a tool for configuring ISDN dialup connections, using
the K Desktop Environment (KDE) 2.0 Control Center. You can either run
the tool standalone (isdn-config) or by selecting the ISDN
Configuration entry in kcontrol2.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n isdn-config
make -f Makefile.dist

%build
export QTDIR=/usr/lib/qt-2.1.0
CXXFLAGS="$RPM_OPT_FLAGS -DQTONLY" ./configure --prefix=/usr
make

%install
export QTDIR=/usr/lib/qt-2.1.0
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/lib/isdn
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/toolbar
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/provider

make install prefix=$RPM_BUILD_ROOT/usr
ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT/%{prefix}/bin/isdn-config
cp qt/mini-isdn-config.png $RPM_BUILD_ROOT/usr/share/icons/mini/
cp qt/isdn-config.png $RPM_BUILD_ROOT/usr/share/icons/
cp pixmaps/*.png pixmaps/flags/*.png $RPM_BUILD_ROOT/usr/share/toolbar/
cp qt/isdndb.txt $RPM_BUILD_ROOT/usr/lib/isdn
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/isdnview
chmod a+x $RPM_BUILD_ROOT/usr/bin/isdnview

mv $RPM_BUILD_ROOT/usr/bin/qt $RPM_BUILD_ROOT/usr/sbin/isdn-config

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/isdn-config <<EOF
isdn-config name "isdn-config"
isdn-config description "A tool for configuring ISDN dialup connections."
isdn-config icon "isdn-config.png"
isdn-config mini-icon "mini-isdn-config.png"
isdn-config group "System"
isdn-config exec "isdn-config &"
EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/isdn-config.desktop <<EOF
[Desktop Entry]
Name=isdn-config
Comment=A tool for configuring ISDN dialup connections.
Exec=isdn-config
Icon=isdn-config.png
MiniIcon=mini-isdn-config.png
Terminal=0
Type=Application
EOF

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cat > $RPM_BUILD_ROOT/etc/pam.d/isdn-config <<EOF
auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_pwdb.so
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF

mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat > $RPM_BUILD_ROOT/etc/security/console.apps/isdn-config <<EOF
USER=root
FALLBACK=true
PROGRAM=/usr/sbin/isdn-config
SESSION=true
EOF

mkdir -p $RPM_BUILD_ROOT/etc/ppp
cp scripts/ip* $RPM_BUILD_ROOT/etc/ppp
chmod 755 $RPM_BUILD_ROOT/etc/ppp/*

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp scripts/isdn.init $RPM_BUILD_ROOT/etc/rc.d/init.d/isdn
chmod 755 $RPM_BUILD_ROOT/etc/rc.d/init.d/isdn

%post
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add isdn
fi

%preun
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del isdn
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/isdn
%dir /etc/sysconfig/provider
/etc/ppp/*
%docdir /usr/doc/isdn-config-%{version}
%doc qt/docs/en/*html qt/docs/en/*.png
/etc/X11/applnk/System/*
/etc/X11/wmconfig/*
/usr/sbin/*
/usr/bin/*
%attr(644,root,root) /usr/share/icons/*.png
%attr(644,root,root) /usr/share/icons/mini/*.png
/usr/share/toolbar/*
%attr(644,root,root) /usr/lib/isdn/isdndb.txt
/etc/pam.d/isdn-config
/etc/security/console.apps/isdn-config

%changelog
* Sat Mar 4 2000 Ngo Than <than@redhat.de>
- added ISDN online time
- added provider directory in isdn-config package
- isdn-config can only be started as root.

* Thu Mar 2 2000 Ngo Than <than@redhat.de>
- fixed permision problem of resolv.conf
- added ISDN line state

* Tue Feb 29 2000 Ngo Than <than@redhat.de>
- fixed overwrite problem of pap and chap secret file
- move isdn.init in isdn4k-utils package to isdn-config package
- fixed problem with static DNS and DOMAIN in /etc/resolv.conf
- fixed overwrite problem in /etc/resolv.conf
- added post to add isdn service in runlevel 2345

* Tue Feb 25 2000 Ngo Than <than@redhat.de>
- fixed build problem on alpha machine
- fixed save problem in pap and chap-secret files

* Mon Feb 21 2000 Ngo Than <than@redhat.de>
- added consolehelper stuff
- switched to qt
- fixed some major bugs
- added some new ISPS in ISDN database

* Thu Feb 17 2000 Ngo Than <than@redhat.de>
- fixed some Bugs in dialwidget again

* Thu Feb 17 2000 Ngo Than <than@redhat.de>
- fixed Bugs in dialwidget

* Tue Feb 15 2000 Ngo Than <than@redhat.de>
- more isdn cards supported
- englisch and german Doku
- many Bugfixes

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- release stabil version of isdn-config 0.6

* Thu Feb 4 2000 Ngo Than <than@redhat.de>
- set National at the top of Treelist
- provider disable has new icon
- fix install in specfile 

* Thu Feb 3 2000 Ngo Than <than@redhat.de>
- release isdn-config-0.5

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary

* Wed Feb 2 2000 Ngo Than <than@redhat.de>
- release isdnconig-0.4

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current snapshot
- rebuild with current qt/kde2libs

* Mon Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM, broken.
